import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a virtual router within a service mesh.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-appmesh-virtualrouter.html">the AWS Docs</a>
*/
export function virtualRouter(virtualRouterProps) {
    return new AwsResource('AWS::AppMesh::VirtualRouter', virtualRouterProps, { Uid: 'Uid', MeshName: 'MeshName', VirtualRouterName: 'VirtualRouterName', MeshOwner: 'MeshOwner', ResourceOwner: 'ResourceOwner', Arn: 'Arn' });
}
